%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Callback for main figure closure
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Close( SourceFig, callbackdata )
    global S;
    
    %%%%%%%%%%%%%%%%%%
    % Validate Timer %
    if(isfield(S,'tm'))
        if(isvalid(S.tm))
            stop(S.tm);
            delete(S.tm);
        end
    end
    
    %%%%%%%%%%%%%%%%%
    % Close Figures %
    if(isfield(S,'Fm'))
        if (isvalid(S.Fm))
            delete(S.Fm);
        end
    end
    if(isfield(S,'Fi'))
        if(isvalid(S.Fi))
            delete(S.Fi);
        end
    end
end

